SuSE9 Security Update : MySQL (YOU Patch Number 12661)

2010-11-09T00:00:00
ID SUSE9_12661.NASL
Type nessus
Reporter This script is Copyright (C) 2010-2019 Tenable Network Security, Inc.
Modified 2020-04-02T00:00:00

Description

The following bugs have been fixed :

  • local users could delete data files for tables of other users. (CVE-2010-1626)

  • authenticated users could gather information for tables they should not have access to. (CVE-2010-1849)

  • authenticated users could crash mysqld. (CVE-2010-3683, CVE-2010-3681, CVE-2010-1848)

  • authenticated users could bypass intended access restrictions. (CVE-2008-7247, CVE-2009-4030)

                                        
                                            #%NASL_MIN_LEVEL 80502
#
# (C) Tenable Network Security, Inc.
#
# The text description of this plugin is (C) Novell, Inc.
#

if (NASL_LEVEL < 3000) exit(0);

include("compat.inc");

if (description)
{
  script_id(50523);
  script_version("1.4");
  script_cvs_date("Date: 2019/10/25 13:36:37");

  script_cve_id("CVE-2008-7247", "CVE-2009-4030", "CVE-2010-1626", "CVE-2010-1848", "CVE-2010-1849", "CVE-2010-3681", "CVE-2010-3683");

  script_name(english:"SuSE9 Security Update : MySQL (YOU Patch Number 12661)");
  script_summary(english:"Checks rpm output for the updated packages");

  script_set_attribute(
    attribute:"synopsis", 
    value:"The remote SuSE 9 host is missing a security-related patch."
  );
  script_set_attribute(
    attribute:"description", 
    value:
"The following bugs have been fixed :

  - local users could delete data files for tables of other
    users. (CVE-2010-1626)

  - authenticated users could gather information for tables
    they should not have access to. (CVE-2010-1849)

  - authenticated users could crash mysqld. (CVE-2010-3683,
    CVE-2010-3681, CVE-2010-1848)

  - authenticated users could bypass intended access
    restrictions. (CVE-2008-7247, CVE-2009-4030)"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"http://support.novell.com/security/cve/CVE-2008-7247.html"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"http://support.novell.com/security/cve/CVE-2009-4030.html"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"http://support.novell.com/security/cve/CVE-2010-1626.html"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"http://support.novell.com/security/cve/CVE-2010-1848.html"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"http://support.novell.com/security/cve/CVE-2010-1849.html"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"http://support.novell.com/security/cve/CVE-2010-3681.html"
  );
  script_set_attribute(
    attribute:"see_also",
    value:"http://support.novell.com/security/cve/CVE-2010-3683.html"
  );
  script_set_attribute(attribute:"solution", value:"Apply YOU patch number 12661.");
  script_set_cvss_base_vector("CVSS2#AV:N/AC:L/Au:S/C:P/I:P/A:P");
  script_cwe_id(59);

  script_set_attribute(attribute:"plugin_type", value:"local");
  script_set_attribute(attribute:"cpe", value:"cpe:/o:suse:suse_linux");

  script_set_attribute(attribute:"patch_publication_date", value:"2010/10/29");
  script_set_attribute(attribute:"plugin_publication_date", value:"2010/11/09");
  script_end_attributes();

  script_category(ACT_GATHER_INFO);
  script_copyright(english:"This script is Copyright (C) 2010-2019 Tenable Network Security, Inc.");
  script_family(english:"SuSE Local Security Checks");

  script_dependencies("ssh_get_info.nasl");
  script_require_keys("Host/local_checks_enabled", "Host/cpu", "Host/SuSE/release", "Host/SuSE/rpm-list");

  exit(0);
}


include("global_settings.inc");
include("rpm.inc");


if (!get_kb_item("Host/local_checks_enabled")) exit(0, "Local checks are not enabled.");
if (!get_kb_item("Host/SuSE/release")) exit(0, "The host is not running SuSE.");
if (!get_kb_item("Host/SuSE/rpm-list")) exit(1, "Could not obtain the list of installed packages.");

cpu = get_kb_item("Host/cpu");
if (isnull(cpu)) exit(1, "Failed to determine the architecture type.");
if (cpu >!< "x86_64" && cpu !~ "^i[3-6]86$") exit(1, "Local checks for SuSE 9 on the '"+cpu+"' architecture have not been implemented.");


flag = 0;
if (rpm_check(release:"SUSE9", reference:"mysql-4.0.18-32.41")) flag++;
if (rpm_check(release:"SUSE9", reference:"mysql-Max-4.0.18-32.41")) flag++;
if (rpm_check(release:"SUSE9", reference:"mysql-client-4.0.18-32.41")) flag++;
if (rpm_check(release:"SUSE9", reference:"mysql-devel-4.0.18-32.41")) flag++;
if (rpm_check(release:"SUSE9", reference:"mysql-shared-4.0.18-32.41")) flag++;


if (flag)
{
  if (report_verbosity > 0) security_warning(port:0, extra:rpm_report_get());
  else security_warning(0);
  exit(0);
}
else exit(0, "The host is not affected.");